// библиотека для работы с дисплеем
#include <TroykaTextLCD.h>

// создаем объект для работы с дисплеем
TroykaTextLCD lcd;

void setup() {
  // устанавливаем количество столбцов и строк экрана
  lcd.begin(16, 2);
  // устанавливаем контрастность в диапазоне от 0 до 63
  lcd.setContrast(63);
  // включаем подсветку
  pinMode(A2,OUTPUT);
  digitalWrite(A2,1);
  // устанавливаем курсор в колонку 0, строку 0
  lcd.setCursor(0, 0);
  // печатаем первую строку
  lcd.print("Hello, world!");
  // устанавливаем курсор в колонку 0, строку 1
  // на самом деле это вторая строка, т.к. нумерация начинается с нуля
  lcd.setCursor(0, 1);
  // печатаем вторую строку
  lcd.print("Do It Yourself");
}

void loop() {
  // считываем состояние с аналогового пина A0
  // преобразуем в диапазон от 0 до 63 для контраста
  int contrast = map(analogRead(A0), 0, 1023, 63, 0);
  // считываем состояние с аналогового пина A1
  // преобразуем в диапазон от 0 до 255 для яркости (1023 для ESP8266)
  int brigtness = map(analogRead(A4), 0, 1023, 255, 0);
  // устанавливаем контрастность в диапазоне от 0 до 63
  lcd.setContrast(contrast);
  // устанавливаем яркость в диапазоне от 0 до 255 (1023 для ESP8266)
  analogWrite(A2,brigtness);
  // ждём 300 мс, что бы не сильно мерцал дисплей
  delay(300);
}
