// библиотека для работы с дисплеем
#include <TroykaTextLCD.h>

// создаем объект для работы с дисплеем
TroykaTextLCD lcd;

// создаём массивы иконок
byte heart[8] = {
  0b00000,
  0b01010,
  0b11111,
  0b11111,
  0b11111,
  0b01110,
  0b00100,
  0b00000
};

byte smiley[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b10001,
  0b01110,
  0b00000
};

byte frownie[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b00000,
  0b01110,
  0b10001
};

byte armsDown[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b00100,
  0b01110,
  0b10101,
  0b00100,
  0b01010
};

byte armsUp[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b10101,
  0b01110,
  0b00100,
  0b00100,
  0b01010
};

void setup() {
  // устанавливаем количество столбцов и строк экрана
  lcd.begin(16, 2);
  // устанавливаем контрастность в диапазоне от 0 до 63
  lcd.setContrast(63);
  
  // включаем подсветку
  pinMode(A2,OUTPUT);
  digitalWrite(A2,1); 

  // создаём новые символы в ячеках памяти
  lcd.createChar(0, heart);
  lcd.createChar(1, smiley);
  lcd.createChar(2, frownie);
  lcd.createChar(3, armsDown);
  lcd.createChar(4, armsUp);

  // устанавливаем курсор в колонку 0, строку 0
  lcd.setCursor(0, 0);
  // печатаем первую строку
  lcd.print("I ");
  // печатем символ из нулевой ячейки
  lcd.write(0);
  lcd.print(" Arduino! ");
  // печатем символ из первой ячейки
  lcd.write(1);
  // устанавливаем курсор на вторую строку и четвёртый символ
  lcd.setCursor(4, 1);
}

void loop() {
  // устанавливаем курсор на вторую строку и четвёртый символ
  lcd.setCursor(4, 1);
  // выводим символ из третьей ячейки
  lcd.write(3);
  // ждём пол секунды
  delay(500);
  // устанавливаем курсор на вторую строку и четвёртый символ
  lcd.setCursor(4, 1);
  // выводим символ из четвёртой ячейки
  lcd.write(4);
  // ждём пол секунды
  delay(500);
}
